package mvd.jester.simulator.internals;

import java.util.Optional;
import mvd.jester.model.SynchronousTask;

/**
 * TaskContextInterface
 */
public interface TaskContextInterface {

    public SynchronousTask getTask();

    public Optional<TaskContextInterface> acceptNotification(long time);

    public Optional<JobContextInterface> getNextJob();

    public long getDeadline();

    public long getReleaseTime();
}
