package mvd.jester.utils;

import java.io.File;
import java.io.IOException;
import org.junit.jupiter.api.DisplayName;
import org.junit.jupiter.api.Test;
import org.junit.jupiter.api.io.TempDir;


/**
 * TestLogger
 */
public class TestLogger {

    @TempDir
    File tempDir;

    @Test
    @DisplayName("CHeck Logger")
    void testLogger() throws IOException {
        String fileName = tempDir.getAbsolutePath() + "/test.txt";
        Logger logger = new Logger(fileName);
        Logger failedLogger = new Logger(fileName);

        Appendable out = new StringBuilder();

        out.append("abc");
        out.append("efg");

        logger.log(out);

        logger.finalize();
        failedLogger.finalize();



    }
}
